Method: customBiddingAlgorithms.uploadRules

为 AlgorithmRules 文件创建规则参考对象。

生成的引用对象会提供一个资源路径,AlgorithmRules 文件应上传到该路径。创建新的 CustomBiddingAlgorithmRules 资源时,应包含此引用对象。

HTTP 请求

GET https://displayvideo.googleapis.com/v5/customBiddingAlgorithms/{customBiddingAlgorithmId}:uploadRules

网址采用 gRPC 转码语法。

路径参数

参数
customBiddingAlgorithmId

string (int64 format)

必需。拥有规则资源的自定义出价算法的 ID。

查询参数

参数
必需。标识拥有父级自定义出价算法的 DV360 实体。可以是合作伙伴,也可以是广告客户。以下是互斥字段的列表。在响应中,最多只能设置其中一个字段:
partnerId

string (int64 format)

拥有父级自定义出价算法的合作伙伴的 ID。

advertiserId

string (int64 format)

拥有父级自定义出价算法的广告客户的 ID。

互斥字段结束。

请求正文

请求正文必须为空。

响应正文

如果成功,则响应正文包含一个 CustomBiddingAlgorithmRulesRef 实例。

授权范围

需要以下 OAuth 范围:

  • https://www.googleapis.com/auth/display-video

如需了解详情,请参阅 OAuth 2.0 Overview。